1.1

1.1

put /v1/saml-providers/{saml_provider_id}

Description

Update saml provider information

State ACTIVE (SUPPORTED)

VersionSupported Until
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathsaml_provider_id
required
자격증명공급자 ID
Example :
stringNone
bodybody
required

SamlProviderUpdateRequestData

Responses

HTTP CodeDescriptionSchema
200OKSamlProviderDetailResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/saml-providers/{saml_provider_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.1,"
"Content-Type = multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW"

Request body

------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="description"

SAML provider Description
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="file"; filename="keycloak-idp-saml.xml"
Content-Type: application/xml

(data)
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="saml_provider_name"

IdpTest
------WebKitFormBoundary7MA4YWxkTrZu0gW
Content-Disposition: form-data; name="tags"

[{'key': 'company', 'value': 'SDS'}]
------WebKitFormBoundary7MA4YWxkTrZu0gW--

Example HTTP response

Response 200

{
    "account_id": "",
    "acs_url": "",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "creator_name": "",
    "description": "",
    "federation_type": "",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "idp_cert_end": "",
    "idp_file_data": "",
    "idp_file_name": "",
    "idp_file_size": "",
    "idp_issuer_url": "",
    "idp_sso_url": "",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "modifier_name": "",
    "saml_provider_name": ""
}